# Generate HMAC

To generate a MAC (message authentication code) using a cryptographic hash algorithm and a secret cryptographic key.

***

## Properties

### Data

The input data for which the hash will be calculated.

### Hash algorithm

The algorithm to use when computing the hash.

Options:

* HMACMD5 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.md5?view=net-7.0)
* HMACSHA1 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha1?view=net-7.0)
* HMACSHA256 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha256?view=net-7.0)
* HMACSHA384 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha384?view=net-7.0)
* HMACSHA512 - [learn more](https://learn.microsoft.com/en-us/dotnet/api/system.security.cryptography.sha512?view=net-7.0)

### Key

The secret key in List or Base64 string format.

***

## Definition

The HMAC in the form of a list of bytes and as a Base64 string.

***

## Links

* [Wikipedia: HMAC](https://en.wikipedia.org/wiki/HMAC)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/overview/content/generatehmac.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
